
public class Class124 {

   public Object[] anObjectArray1343;
   public int anInt1344 = 0;
   public static final int anInt1345 = 8;
   public Object[] anObjectArray1346;
   public static int anInt1347 = 220808056;
   public static int anInt1348 = -815921909;
   public static int anInt1349 = 1995537217;
   public static int anInt1350 = 1350130854;
   public static int anInt1351 = 163469077;
   public static int anInt1352 = 2139551992;
   public static int anInt1353 = 1073521365;
   public static int anInt1354 = 373969263;
   public static int anInt1355 = 1577408518;
   public int anInt1356 = 404155801;
   public static int anInt1357 = 1543338880;
   public Object[] anObjectArray1358;
   public static final int anInt1359 = 5;
   public static final int anInt1360 = 5;
   public static Class564 aClass564_1361 = new Class564(3000000, 200);
   public int anInt1362 = 0;
   static Class564 aClass564_1363 = new Class564(4);
   public int anInt1364;
   public static boolean aBool1365 = false;
   public String aString1366;
   public int anInt1367;
   public int anInt1368 = 0;
   public int anInt1369 = 807742177;
   public int anInt1370;
   public int anInt1371 = 0;
   public Object[] anObjectArray1372;
   public byte aByte1373 = 0;
   public byte aByte1374 = 0;
   public byte aByte1375 = 0;
   public int anInt1376 = 0;
   public int anInt1377 = 0;
   public int anInt1378 = 0;
   public int anInt1379 = -1419725617;
   public static int anInt1380 = 16597342;
   static Class564 aClass564_1381 = new Class564(8);
   public int anInt1382;
   public int anInt1383 = 0;
   public int anInt1384 = 1735126285;
   public int anInt1385 = 1885632705;
   public int anInt1386 = 1221613437;
   public boolean aBool1387 = false;
   public int anInt1388;
   public int[] anIntArray1389;
   public int anInt1390 = 255454229;
   public int[] anIntArray1391;
   public int anInt1392 = 0;
   public int anInt1393 = 0;
   public int anInt1394 = 0;
   public int anInt1395 = 0;
   public int anInt1396 = 0;
   public boolean aBool1397 = false;
   public int anInt1398 = 0;
   public boolean aBool1399 = false;
   public boolean aBool1400 = false;
   public Object[] anObjectArray1401;
   public int anInt1402 = 0;
   public int anInt1403 = 0;
   public int anInt1404 = 0;
   public int anInt1405 = -973182291;
   public int anInt1406 = -1629765719;
   public boolean aBool1407;
   public Class124[] aClass124Array1408;
   public boolean aBool1409 = true;
   public int anInt1410 = -871586975;
   public int anInt1411;
   public int anInt1412 = -900136743;
   public boolean aBool1413;
   public int anInt1414 = 0;
   public int anInt1415 = 0;
   public int anInt1416 = 0;
   public int anInt1417 = 0;
   public int anInt1418 = 0;
   public int anInt1419 = 0;
   public int anInt1420 = 0;
   public int anInt1421 = 0;
   public byte[][] aByteArrayArray1422;
   public int anInt1423 = 0;
   public int[] anIntArray1424;
   public boolean aBool1425 = false;
   public boolean aBool1426 = false;
   public int anInt1427 = -1016917806;
   public static Class564 aClass564_1428 = new Class564(50);
   public boolean aBool1429 = false;
   public int anInt1430 = 351323028;
   short[] aShortArray1431;
   public int anInt1432;
   public int anInt1433;
   public int anInt1434;
   public Object[] anObjectArray1435;
   public Object[] anObjectArray1436;
   public static int anInt1437 = 396477901;
   public String aString1438 = "";
   public boolean aBool1439 = false;
   public Object[] anObjectArray1440;
   public int anInt1441 = 0;
   public boolean aBool1442 = false;
   public int[] anIntArray1443;
   public int anInt1444;
   public Class225_Sub50 aClass225_Sub50_1445;
   public boolean aBool1446;
   public Class528 aClass528_1447;
   public static int anInt1448 = -1332287679;
   public static final int anInt1449 = 4;
   public int[] anIntArray1450;
   public static final int anInt1451 = 1;
   public static final int anInt1452 = 2;
   public Object[] anObjectArray1453;
   public Object[] anObjectArray1454;
   public String aString1455;
   public String[] aStringArray1456;
   public String aString1457;
   public int anInt1458;
   public static int anInt1459 = 0;
   public Class124 aClass124_1460;
   public int anInt1461;
   short[] aShortArray1462;
   public int anInt1463;
   public static int anInt1464 = 26462693;
   public int anInt1465 = 2113209493;
   public Object[] anObjectArray1466;
   public Object[] anObjectArray1467;
   public Object[] anObjectArray1468;
   public Object[] anObjectArray1469;
   public Object[] anObjectArray1470;
   public Object[] anObjectArray1471;
   public Object[] anObjectArray1472;
   public Object[] anObjectArray1473;
   public Object[] anObjectArray1474;
   public int anInt1475;
   public int[] anIntArray1476;
   public Object[] anObjectArray1477;
   public Object[] anObjectArray1478;
   public int[] anIntArray1479;
   public int anInt1480 = 0;
   public int anInt1481 = -1078667785;
   public Object[] anObjectArray1482;
   public byte[][] aByteArrayArray1483;
   public Object[] anObjectArray1484;
   short[] aShortArray1485;
   public boolean aBool1486;
   public int[] anIntArray1487;
   public Object[] anObjectArray1488;
   public int[] anIntArray1489;
   public Object[] anObjectArray1490;
   public int anInt1491 = 0;
   public int anInt1492;
   public int anInt1493 = 0;
   public Object[] anObjectArray1494;
   short[] aShortArray1495;
   public Object[] anObjectArray1496;
   public Object[] anObjectArray1497;
   public int anInt1498;
   public Object[] anObjectArray1499;
   public boolean aBool1500 = true;
   public Object[] anObjectArray1501;
   public Object[] anObjectArray1502;
   public Object[] anObjectArray1503;
   Class423 aClass423_1504;
   public Object[] anObjectArray1505;
   public int anInt1506;
   public static int anInt1507 = -325747431;
   public int anInt1508;
   public String aString1509;
   public boolean aBool1510;
   public int anInt1511;
   public int anInt1512;
   public int anInt1513;
   public int anInt1514;
   public String aString1515;
   public int[] anIntArray1516;
   public int anInt1517;
   public int anInt1518 = 0;
   public Class477 aClass477_1519;
   public boolean aBool1520;
   public Class124[] aClass124Array1521;
   public boolean aBool1522;
   public boolean aBool1523;
   public int anInt1524;
   public int anInt1525;
   public int anInt1526;
   public boolean aBool1527 = false;
   public int anInt1528 = 0;
   public byte aByte1529 = 0;
   public int anInt1530;
   public int anInt1531;
   public int anInt1532;
   public int anInt1533;
   public Object[] anObjectArray1534;
   public Class396 aClass396_1535;


   public void method2378() {
      this.anObjectArray1466 = null;
      this.anObjectArray1467 = null;
      this.anObjectArray1468 = null;
      this.anObjectArray1469 = null;
      this.anObjectArray1470 = null;
      this.anObjectArray1471 = null;
      this.anObjectArray1472 = null;
      this.anObjectArray1473 = null;
      this.anObjectArray1474 = null;
      this.anObjectArray1453 = null;
      this.anObjectArray1478 = null;
      this.anObjectArray1477 = null;
      this.anObjectArray1343 = null;
      this.anIntArray1479 = null;
      this.anObjectArray1372 = null;
      this.anIntArray1516 = null;
      this.anObjectArray1482 = null;
      this.anIntArray1391 = null;
      this.anObjectArray1484 = null;
      this.anIntArray1476 = null;
      this.anObjectArray1496 = null;
      this.anIntArray1487 = null;
      this.anObjectArray1490 = null;
      this.anObjectArray1534 = null;
      this.anObjectArray1488 = null;
      this.anObjectArray1436 = null;
      this.anObjectArray1494 = null;
      this.anObjectArray1501 = null;
      this.anObjectArray1440 = null;
      this.anObjectArray1497 = null;
      this.anObjectArray1401 = null;
      this.anObjectArray1435 = null;
      this.anObjectArray1346 = null;
      this.anObjectArray1502 = null;
      this.anObjectArray1503 = null;
      this.anObjectArray1358 = null;
      this.anObjectArray1505 = null;
   }

   public static Class124 method2379(int var0) {
      int var1 = var0 >> 16;
      if(null == Class18.aClass121Array188[var1] || Class18.aClass121Array188[var1].method2338(var0, 1237334145) == null) {
         boolean var2 = Class485.method8143(var1, (int[])null, -2116387666);
         if(!var2) {
            return null;
         }
      }

      return Class18.aClass121Array188[var1].method2338(var0, 1019636621);
   }

   public Class171 method2380(Class545 var1) {
      aBool1365 = false;
      long var2 = ((long)(284299703 * this.anInt1491) << 40) + (long)(757824707 * this.anInt1390) + ((this.aBool1439?1L:0L) << 35) + ((long)(327835587 * this.anInt1404) << 36) + ((this.aBool1486?1L:0L) << 38) + ((this.aBool1407?1L:0L) << 39);
      Class171 var4 = (Class171)aClass564_1361.method11959(var2);
      if(null != var4) {
         return var4;
      } else {
         Class86 var5 = Class152.method2765(Class452.aClass253_5661, this.anInt1390 * 757824707, 0);
         if(var5 == null) {
            aBool1365 = true;
            return null;
         } else {
            if(this.aBool1486) {
               var5.method1697();
            }

            if(this.aBool1407) {
               var5.method1703();
            }

            if(327835587 * this.anInt1404 > 0) {
               var5.method1688(this.anInt1404 * 327835587);
            } else if(284299703 * this.anInt1491 != 0) {
               var5.method1688(1);
            }

            if(327835587 * this.anInt1404 >= 1) {
               var5.method1701(1);
            }

            if(327835587 * this.anInt1404 >= 2) {
               var5.method1701(16777215);
            }

            if(0 != this.anInt1491 * 284299703) {
               var5.method1702(-16777216 | this.anInt1491 * 284299703);
            }

            var4 = var1.method11483(var5, true);
            aClass564_1361.method11962(var4, var2, var4.method2944() * var4.method2921() * 4, (byte)-15);
            return var4;
         }
      }
   }

   int[] method2381(RS2Buffer var1, byte var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      if(var3 == 0) {
         return null;
      } else {
         int[] var4 = new int[var3];

         for(int var5 = 0; var5 < var3; ++var5) {
            var4[var5] = var1.readInt_(1567223799);
         }

         return var4;
      }
   }

   public Class171 method2382(Class545 var1, int var2) {
      aBool1365 = false;
      long var3 = ((long)(284299703 * this.anInt1491) << 40) + (long)(757824707 * this.anInt1390) + ((this.aBool1439?1L:0L) << 35) + ((long)(327835587 * this.anInt1404) << 36) + ((this.aBool1486?1L:0L) << 38) + ((this.aBool1407?1L:0L) << 39);
      Class171 var5 = (Class171)aClass564_1361.method11959(var3);
      if(null != var5) {
         return var5;
      } else {
         Class86 var6 = Class152.method2765(Class452.aClass253_5661, this.anInt1390 * 757824707, 0);
         if(var6 == null) {
            aBool1365 = true;
            return null;
         } else {
            if(this.aBool1486) {
               var6.method1697();
            }

            if(this.aBool1407) {
               var6.method1703();
            }

            if(327835587 * this.anInt1404 > 0) {
               var6.method1688(this.anInt1404 * 327835587);
            } else if(284299703 * this.anInt1491 != 0) {
               var6.method1688(1);
            }

            if(327835587 * this.anInt1404 >= 1) {
               var6.method1701(1);
            }

            if(327835587 * this.anInt1404 >= 2) {
               var6.method1701(16777215);
            }

            if(0 != this.anInt1491 * 284299703) {
               var6.method1702(-16777216 | this.anInt1491 * 284299703);
            }

            var5 = var1.method11483(var6, true);
            aClass564_1361.method11962(var5, var3, var5.method2944() * var5.method2921() * 4, (byte)-51);
            return var5;
         }
      }
   }

   public static void method2383() {
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-1712924282)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1235238570)];
   }

   public Class405 method2384(Class304 var1, Interface31 var2, int var3) {
      Class405 var4 = var1.method5401(var2, this.anInt1405 * 801863387, 1574114087);
      boolean var10000;
      if(null == var4) {
         if(var3 != 908388714) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      aBool1365 = var10000;
      return var4;
   }

   public Class568 method2385(Class545 var1, int var2, Class566 var3, Class38 var4, Class388 var5, Class410 var6, Class473 var7, Interface13 var8, Interface12 var9, Class477 var10, Class540 var11, int var12) {
      aBool1365 = false;
      if(-1001045855 * this.anInt1410 == 0) {
         return null;
      } else if(this.anInt1410 * -1001045855 == 1 && -1 == -1781327493 * this.anInt1411) {
         return null;
      } else if(this.anInt1410 * -1001045855 == 1) {
         if(var10 != null) {
            var2 |= var10.method7983(257675263);
         }

         long var14 = -1L;
         long[] var27 = RS2Buffer.aLongArray8615;
         int var17;
         if(null != this.aShortArray1431) {
            for(var17 = 0; var17 < this.aShortArray1431.length; ++var17) {
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)(this.aShortArray1431[var17] >> 8)) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)this.aShortArray1431[var17]) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)(this.aShortArray1485[var17] >> 8)) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)this.aShortArray1485[var17]) & 255L)];
            }

            var2 |= 16384;
         }

         if(null != this.aShortArray1495) {
            for(var17 = 0; var17 < this.aShortArray1495.length; ++var17) {
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)(this.aShortArray1495[var17] >> 8)) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)this.aShortArray1495[var17]) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)(this.aShortArray1462[var17] >> 8)) & 255L)];
               var14 = var14 >>> 8 ^ var27[(int)((var14 ^ (long)this.aShortArray1462[var17]) & 255L)];
            }

            var2 |= '\u8000';
         }

         long var18 = (long)(-1659372711 * var1.anInt7353) << 59 | (long)(-1001045855 * this.anInt1410) << 54 | (long)(-1781327493 * this.anInt1411) << 38 | var14 & 274877906943L;
         Class568 var20 = (Class568)aClass564_1428.method11959(var18);
         if(null == var20 || var1.method11494(var20.m(), var2) != 0) {
            if(var20 != null) {
               var2 = var1.method11495(var2, var20.m());
            }

            Class96 var21 = Class96.method1867(Class510.aClass253_6039, this.anInt1411 * -1781327493, 0);
            if(null == var21) {
               aBool1365 = true;
               return null;
            }

            if(var21.anInt947 < 13) {
               var21.method1848(2);
            }

            var20 = var1.method11493(var21, var2, -82597049 * Class225_Sub51.anInt8882, 64, 768);
            int var22;
            if(null != this.aShortArray1431) {
               for(var22 = 0; var22 < this.aShortArray1431.length; ++var22) {
                  var20.X(this.aShortArray1431[var22], this.aShortArray1485[var22]);
               }
            }

            if(null != this.aShortArray1495) {
               for(var22 = 0; var22 < this.aShortArray1495.length; ++var22) {
                  var20.W(this.aShortArray1495[var22], this.aShortArray1462[var22]);
               }
            }

            aClass564_1428.method11958(var20, var18);
         }

         if(var10 != null) {
            var20 = var20.method12060((byte)1, var2, true);
            var10.method8040(var20, 0, 580957463);
         }

         var20.KA(var2);
         return var20;
      } else {
         Class568 var26;
         if(2 == -1001045855 * this.anInt1410) {
            var26 = var5.method6647(-1781327493 * this.anInt1411, 559687710).method7041(var1, var2, var8, var9, var10, this.aClass396_1535, 282341958);
            if(var26 == null) {
               aBool1365 = true;
               return null;
            } else {
               return var26;
            }
         } else if(3 == this.anInt1410 * -1001045855) {
            if(var11 == null) {
               return null;
            } else {
               var26 = var11.method11334(var1, var2, var4, var5, var6, var8, var9, var10, 391634271);
               if(var26 == null) {
                  aBool1365 = true;
                  return null;
               } else {
                  return var26;
               }
            }
         } else if(this.anInt1410 * -1001045855 == 4) {
            ItemDefinition var25 = var6.method7007(this.anInt1411 * -1781327493, -1957162130);
            Class568 var28 = var25.method6931(var1, var2, 10, var11, var10, 0, 0, 0, 0, 412057594);
            if(var28 == null) {
               aBool1365 = true;
               return null;
            } else {
               return var28;
            }
         } else if(this.anInt1410 * -1001045855 == 6) {
            var26 = var5.method6647(this.anInt1411 * -1781327493, 1542581116).method7056(var1, var2, var3, var8, var9, var10, (Class477)null, (Class477[])null, (int[])null, 0, this.aClass396_1535, 1587108507);
            if(null == var26) {
               aBool1365 = true;
               return null;
            } else {
               return var26;
            }
         } else if(this.anInt1410 * -1001045855 == 7) {
            if(null == var11) {
               return null;
            } else {
               int var13 = -1781327493 * this.anInt1411 >>> 16;
               int var23 = this.anInt1411 * -1781327493 & '\uffff';
               int var24 = this.anInt1412 * 557088919;
               Class568 var16 = var11.method11335(var1, var2, var4, var7, var10, var13, var23, var24, 1505107001);
               if(null == var16) {
                  aBool1365 = true;
                  return null;
               } else {
                  return var16;
               }
            }
         } else {
            return null;
         }
      }
   }

   Object[] method2386(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(0 == var2) {
         return null;
      } else {
         Object[] var3 = new Object[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            int var5 = var1.readUnsignedByte(-700559597);
            if(var5 == 0) {
               var3[var4] = new Integer(var1.readInt_(-1266991703));
            } else if(1 == var5) {
               var3[var4] = var1.readString((byte)25);
            }
         }

         this.aBool1520 = true;
         return var3;
      }
   }

   public Class264 method2387(Class570 var1, Class39 var2, int var3) {
      if(-1 == this.anInt1511 * 329438969) {
         return null;
      } else {
         long var4 = ((long)(this.anInt1514 * 50775569) & 65535L) << 48 | ((long)(this.anInt1382 * -455642367) & 65535L) << 32 | ((long)(this.anInt1492 * -774462463) & 65535L) << 16 | (long)(329438969 * this.anInt1511) & 65535L;
         Class264 var6 = (Class264)aClass564_1363.method11959(var4);
         if(var6 == null) {
            var6 = var1.method12163(this.anInt1511 * 329438969, this.anInt1514 * 50775569, this.anInt1382 * -455642367, this.anInt1492 * -774462463, var2, (byte)55);
            aClass564_1363.method11958(var6, var4);
         }

         return var6;
      }
   }

   public void method2388(int var1) {
      this.anObjectArray1466 = null;
      this.anObjectArray1467 = null;
      this.anObjectArray1468 = null;
      this.anObjectArray1469 = null;
      this.anObjectArray1470 = null;
      this.anObjectArray1471 = null;
      this.anObjectArray1472 = null;
      this.anObjectArray1473 = null;
      this.anObjectArray1474 = null;
      this.anObjectArray1453 = null;
      this.anObjectArray1478 = null;
      this.anObjectArray1477 = null;
      this.anObjectArray1343 = null;
      this.anIntArray1479 = null;
      this.anObjectArray1372 = null;
      this.anIntArray1516 = null;
      this.anObjectArray1482 = null;
      this.anIntArray1391 = null;
      this.anObjectArray1484 = null;
      this.anIntArray1476 = null;
      this.anObjectArray1496 = null;
      this.anIntArray1487 = null;
      this.anObjectArray1490 = null;
      this.anObjectArray1534 = null;
      this.anObjectArray1488 = null;
      this.anObjectArray1436 = null;
      this.anObjectArray1494 = null;
      this.anObjectArray1501 = null;
      this.anObjectArray1440 = null;
      this.anObjectArray1497 = null;
      this.anObjectArray1401 = null;
      this.anObjectArray1435 = null;
      this.anObjectArray1346 = null;
      this.anObjectArray1502 = null;
      this.anObjectArray1503 = null;
      this.anObjectArray1358 = null;
      this.anObjectArray1505 = null;
   }

   Object[] method2389(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(0 == var2) {
         return null;
      } else {
         Object[] var3 = new Object[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            int var5 = var1.readUnsignedByte(-700559597);
            if(var5 == 0) {
               var3[var4] = new Integer(var1.readInt_(-152400889));
            } else if(1 == var5) {
               var3[var4] = var1.readString((byte)36);
            }
         }

         this.aBool1520 = true;
         return var3;
      }
   }

   public void method2390(int var1) {
      if(this.aClass423_1504 != null) {
         Class225 var2 = this.aClass423_1504.method7211((long)var1);
         if(var2 != null) {
            var2.method3857(1154409083);
         }
      }

   }

   public Class120 method2391(Class545 var1, int var2) {
      long var3 = (long)(this.anInt1406 * 34646887) << 32 | (long)(-875927841 * this.anInt1369) & 4294967295L;
      Class120 var5 = (Class120)aClass564_1381.method11959(var3);
      if(null != var5) {
         if(this.anInt1390 * 757824707 != var5.anInt1202 * -123517221) {
            aClass564_1381.method11960(var3);
            var5 = null;
         }

         if(null != var5) {
            return var5;
         }
      }

      Class86 var6 = Class152.method2765(Class452.aClass253_5661, this.anInt1390 * 757824707, 0);
      if(null == var6) {
         return null;
      } else {
         int var7 = var6.method1700();
         int var8 = var6.method1699();
         int[] var9 = new int[var8];
         int[] var10 = new int[var8];
         int var11 = 0;

         while(var11 < var6.method1704()) {
            int var12 = 0;
            int var13 = var6.method1691();
            int var14 = 0;

            while(true) {
               if(var14 < var6.method1691()) {
                  if(var6.method1708(var14, var11) == 0) {
                     ++var14;
                     continue;
                  }

                  var12 = var14;
               }

               for(var14 = var6.method1691() - 1; var14 >= var12; --var14) {
                  if(var6.method1708(var14, var11) != 0) {
                     var13 = var14 + 1;
                     break;
                  }
               }

               var9[var11 + var6.method1735()] = var12 + var6.method1693();
               var10[var11 + var6.method1735()] = var13 - var12;
               ++var11;
               break;
            }
         }

         Class496 var15 = var1.method11488(var7, var8, var9, var10);
         if(var15 == null) {
            return null;
         } else {
            var5 = new Class120(var7, var8, var10, var9, var15, 757824707 * this.anInt1390);
            aClass564_1381.method11958(var5, var3);
            return var5;
         }
      }
   }

   public int method2392(int var1, int var2, int var3) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         IntVar var4 = (IntVar)this.aClass423_1504.method7211((long)var1);
         return null == var4?var2:442885445 * var4.integer;
      }
   }

   public void method2393(int var1, short var2, short var3, int var4) {
      if(var1 < 5) {
         if(this.aShortArray1431 == null) {
            this.aShortArray1431 = new short[5];
            this.aShortArray1485 = new short[5];
         }

         this.aShortArray1431[var1] = var2;
         this.aShortArray1485[var1] = var3;
      }
   }

   public void method2394(int var1, int var2, int var3) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new IntVar(var2), (long)var1);
      } else {
         IntVar var4 = (IntVar)this.aClass423_1504.method7211((long)var1);
         if(null == var4) {
            this.aClass423_1504.method7206(new IntVar(var2), (long)var1);
         } else {
            var4.integer = var2 * -1539119731;
         }

      }
   }

   public void method2395(int var1, String var2, int var3) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var4 != null) {
            var4.method3857(1218066426);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public void method2396(int var1, int var2) {
      if(this.aClass423_1504 != null) {
         Class225 var3 = this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(-1329431764);
         }
      }

   }

   public Class264 method2397(Class570 var1, Class39 var2) {
      if(-1 == this.anInt1511 * 329438969) {
         return null;
      } else {
         long var3 = ((long)(this.anInt1514 * 50775569) & 65535L) << 48 | ((long)(this.anInt1382 * -455642367) & 65535L) << 32 | ((long)(this.anInt1492 * -774462463) & 65535L) << 16 | (long)(329438969 * this.anInt1511) & 65535L;
         Class264 var5 = (Class264)aClass564_1363.method11959(var3);
         if(var5 == null) {
            var5 = var1.method12163(this.anInt1511 * 329438969, this.anInt1514 * 50775569, this.anInt1382 * -455642367, this.anInt1492 * -774462463, var2, (byte)38);
            aClass564_1363.method11958(var5, var3);
         }

         return var5;
      }
   }

   public void method2398(int var1, short var2, short var3, int var4) {
      if(var1 < 5) {
         if(this.aShortArray1495 == null) {
            this.aShortArray1495 = new short[5];
            this.aShortArray1462 = new short[5];
         }

         this.aShortArray1495[var1] = var2;
         this.aShortArray1462[var1] = var3;
      }
   }

   public static void method2399(Class253 var0, Class253 var1, Class253 var2, Class253 var3) {
      Class448.aClass253_5594 = var0;
      Class510.aClass253_6039 = var1;
      Class452.aClass253_5661 = var2;
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-1000677365)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1664973482)];
   }

   public void method2400(int var1, int var2, byte var3) {
      if(null == this.anIntArray1389 || this.anIntArray1389.length <= var1) {
         int[] var4 = new int[1 + var1];
         if(this.anIntArray1389 != null) {
            int var5;
            for(var5 = 0; var5 < this.anIntArray1389.length; ++var5) {
               var4[var5] = this.anIntArray1389[var5];
            }

            for(var5 = this.anIntArray1389.length; var5 < var1; ++var5) {
               var4[var5] = -1;
            }
         }

         this.anIntArray1389 = var4;
      }

      this.anIntArray1389[var1] = var2;
   }

   public static void method2401(int var0) {
      Class51.aBoolArray516[var0] = false;
      Class223.method3835(var0, (byte)3);
   }

   public static boolean method2402(int var0, int[] var1) {
      if(Class51.aBoolArray516[var0]) {
         return true;
      } else {
         Class18.aClass121Array188[var0] = Class78.method1628(var0, var1, Class18.aClass121Array188[var0], false, -888799861);
         if(Class18.aClass121Array188[var0] == null) {
            return false;
         } else {
            Class51.aBoolArray516[var0] = true;
            return true;
         }
      }
   }

   public static boolean method2403(int var0, int[] var1) {
      if(Class51.aBoolArray516[var0]) {
         return true;
      } else {
         Class18.aClass121Array188[var0] = Class78.method1628(var0, var1, Class18.aClass121Array188[var0], false, -888799861);
         if(Class18.aClass121Array188[var0] == null) {
            return false;
         } else {
            Class51.aBoolArray516[var0] = true;
            return true;
         }
      }
   }

   public static boolean method2404(int var0, int[] var1) {
      if(Class51.aBoolArray516[var0]) {
         return true;
      } else {
         Class18.aClass121Array188[var0] = Class78.method1628(var0, var1, Class18.aClass121Array188[var0], false, -888799861);
         if(Class18.aClass121Array188[var0] == null) {
            return false;
         } else {
            Class51.aBoolArray516[var0] = true;
            return true;
         }
      }
   }

   public static boolean method2405(int var0, int[] var1) {
      if(Class51.aBoolArray516[var0]) {
         return true;
      } else {
         Class18.aClass121Array188[var0] = Class78.method1628(var0, var1, Class18.aClass121Array188[var0], false, -888799861);
         if(Class18.aClass121Array188[var0] == null) {
            return false;
         } else {
            Class51.aBoolArray516[var0] = true;
            return true;
         }
      }
   }

   public static Class121 method2406(int var0, int[] var1, Class121 var2, boolean var3) {
      if(!Class448.aClass253_5594.method4504(var0, (byte)-40)) {
         return null;
      } else {
         int var4 = Class448.aClass253_5594.method4514(var0, 1494110834);
         Class124[] var5;
         if(0 == var4) {
            var5 = new Class124[0];
         } else if(null == var2) {
            var5 = new Class124[var4];
         } else {
            var5 = var2.aClass124Array1207;
         }

         if(var2 == null) {
            var2 = new Class121(var3, var5);
         } else {
            var2.aClass124Array1207 = var5;
            var2.aBool1206 = var3;
         }

         for(int var6 = 0; var6 < var4; ++var6) {
            if(null == var2.aClass124Array1207[var6]) {
               byte[] var7 = Class448.aClass253_5594.method4505(var0, var6, var1, (byte)-24);
               if(null != var7) {
                  Class124 var8 = var2.aClass124Array1207[var6] = new Class124();
                  var8.anInt1406 = 1629765719 * ((var0 << 16) + var6);
                  var8.method2445(new RS2Buffer(var7), 1952296429);
               }
            }
         }

         return var2;
      }
   }

   public static Class121 method2407(int var0, int[] var1, Class121 var2, boolean var3) {
      if(!Class448.aClass253_5594.method4504(var0, (byte)-115)) {
         return null;
      } else {
         int var4 = Class448.aClass253_5594.method4514(var0, 1896687673);
         Class124[] var5;
         if(0 == var4) {
            var5 = new Class124[0];
         } else if(null == var2) {
            var5 = new Class124[var4];
         } else {
            var5 = var2.aClass124Array1207;
         }

         if(var2 == null) {
            var2 = new Class121(var3, var5);
         } else {
            var2.aClass124Array1207 = var5;
            var2.aBool1206 = var3;
         }

         for(int var6 = 0; var6 < var4; ++var6) {
            if(null == var2.aClass124Array1207[var6]) {
               byte[] var7 = Class448.aClass253_5594.method4505(var0, var6, var1, (byte)-57);
               if(null != var7) {
                  Class124 var8 = var2.aClass124Array1207[var6] = new Class124();
                  var8.anInt1406 = 1629765719 * ((var0 << 16) + var6);
                  var8.method2445(new RS2Buffer(var7), 735261958);
               }
            }
         }

         return var2;
      }
   }

   public static void method2408(int var0) {
      Class51.aBoolArray516[var0] = false;
      Class223.method3835(var0, (byte)3);
   }

   public Class124() {
      this.aClass225_Sub50_1445 = Class225_Sub50.aClass225_Sub50_8879;
      this.aBool1446 = false;
      this.aString1455 = "";
      this.anInt1388 = 861376111;
      this.aClass124_1460 = null;
      this.anInt1461 = 0;
      this.anInt1533 = 0;
      this.anInt1463 = -1974401421 * anInt1459;
      this.aString1515 = "";
      this.aBool1520 = false;
      this.anInt1444 = -1896716577;
      this.anInt1508 = 0;
      this.aString1509 = null;
      this.aBool1510 = false;
      this.anInt1511 = -317983561;
      this.anInt1517 = 157009329;
      this.anInt1475 = -1400125577;
      this.aBool1522 = false;
      this.aBool1523 = false;
      this.anInt1524 = -647929559;
      this.anInt1525 = 0;
      this.anInt1526 = 0;
      this.anInt1498 = 0;
      this.anInt1506 = 0;
      this.anInt1458 = 0;
      this.anInt1530 = 0;
      this.anInt1531 = 784152799;
      this.anInt1532 = -348600621;
   }

   public static void method2409(int var0) {
      Class51.aBoolArray516[var0] = false;
      Class223.method3835(var0, (byte)3);
   }

   public void method2410(int var1) {
      if(this.aClass423_1504 != null) {
         Class225 var2 = this.aClass423_1504.method7211((long)var1);
         if(var2 != null) {
            var2.method3857(917151355);
         }
      }

   }

   public String method2411(int var1, String var2) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   public String method2412(int var1, String var2, int var3) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         return var4 == null?var2:(String)var4.object;
      }
   }

   public static void method2413(int var0) {
      Class225_Sub51.anInt8882 = var0 * -245985673;
      aClass564_1428.method11976((byte)85);
   }

   Object[] method2414(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(0 == var2) {
         return null;
      } else {
         Object[] var3 = new Object[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            int var5 = var1.readUnsignedByte(-700559597);
            if(var5 == 0) {
               var3[var4] = new Integer(var1.readInt_(-1808627000));
            } else if(1 == var5) {
               var3[var4] = var1.readString((byte)-14);
            }
         }

         this.aBool1520 = true;
         return var3;
      }
   }

   int[] method2415(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(var2 == 0) {
         return null;
      } else {
         int[] var3 = new int[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            var3[var4] = var1.readInt_(-1589473608);
         }

         return var3;
      }
   }

   Object[] method2416(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(0 == var2) {
         return null;
      } else {
         Object[] var3 = new Object[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            int var5 = var1.readUnsignedByte(-700559597);
            if(var5 == 0) {
               var3[var4] = new Integer(var1.readInt_(1386266434));
            } else if(1 == var5) {
               var3[var4] = var1.readString((byte)14);
            }
         }

         this.aBool1520 = true;
         return var3;
      }
   }

   public Class171 method2417(Class545 var1) {
      aBool1365 = false;
      long var2 = ((long)(284299703 * this.anInt1491) << 40) + (long)(757824707 * this.anInt1390) + ((this.aBool1439?1L:0L) << 35) + ((long)(327835587 * this.anInt1404) << 36) + ((this.aBool1486?1L:0L) << 38) + ((this.aBool1407?1L:0L) << 39);
      Class171 var4 = (Class171)aClass564_1361.method11959(var2);
      if(null != var4) {
         return var4;
      } else {
         Class86 var5 = Class152.method2765(Class452.aClass253_5661, this.anInt1390 * 757824707, 0);
         if(var5 == null) {
            aBool1365 = true;
            return null;
         } else {
            if(this.aBool1486) {
               var5.method1697();
            }

            if(this.aBool1407) {
               var5.method1703();
            }

            if(327835587 * this.anInt1404 > 0) {
               var5.method1688(this.anInt1404 * 327835587);
            } else if(284299703 * this.anInt1491 != 0) {
               var5.method1688(1);
            }

            if(327835587 * this.anInt1404 >= 1) {
               var5.method1701(1);
            }

            if(327835587 * this.anInt1404 >= 2) {
               var5.method1701(16777215);
            }

            if(0 != this.anInt1491 * 284299703) {
               var5.method1702(-16777216 | this.anInt1491 * 284299703);
            }

            var4 = var1.method11483(var5, true);
            aClass564_1361.method11962(var4, var2, var4.method2944() * var4.method2921() * 4, (byte)32);
            return var4;
         }
      }
   }

   public Class8 method2418(Class304 var1, Interface31 var2) {
      Class8 var3 = (Class8)var1.method5400(var2, 801863387 * this.anInt1405, false, this.aBool1500, (byte)8);
      aBool1365 = null == var3;
      return var3;
   }

   public Class405 method2419(Class304 var1, Interface31 var2) {
      Class405 var3 = var1.method5401(var2, this.anInt1405 * 801863387, 857505789);
      aBool1365 = null == var3;
      return var3;
   }

   public void method2420(int var1, String var2, int var3) {
      if(this.aStringArray1456 == null || this.aStringArray1456.length <= var1) {
         String[] var4 = new String[var1 + 1];
         if(null != this.aStringArray1456) {
            for(int var5 = 0; var5 < this.aStringArray1456.length; ++var5) {
               var4[var5] = this.aStringArray1456[var5];
            }
         }

         this.aStringArray1456 = var4;
      }

      this.aStringArray1456[var1] = var2;
   }

   public Class264 method2421(Class570 var1, Class39 var2) {
      if(-1 == this.anInt1511 * 329438969) {
         return null;
      } else {
         long var3 = ((long)(this.anInt1514 * 50775569) & 65535L) << 48 | ((long)(this.anInt1382 * -455642367) & 65535L) << 32 | ((long)(this.anInt1492 * -774462463) & 65535L) << 16 | (long)(329438969 * this.anInt1511) & 65535L;
         Class264 var5 = (Class264)aClass564_1363.method11959(var3);
         if(var5 == null) {
            var5 = var1.method12163(this.anInt1511 * 329438969, this.anInt1514 * 50775569, this.anInt1382 * -455642367, this.anInt1492 * -774462463, var2, (byte)45);
            aClass564_1363.method11958(var5, var3);
         }

         return var5;
      }
   }

   public void method2422(Class545 var1, Class568 var2, Class328 var3, int var4, int var5) {
      var2.method12075(var3);
      Class80[] var6 = var2.method12076();
      Class166[] var7 = var2.method12077();
      if((this.aClass528_1447 == null || this.aClass528_1447.aBool7186) && (var6 != null || var7 != null)) {
         this.aClass528_1447 = Class528.method11121(var4, false);
      }

      if(this.aClass528_1447 != null) {
         this.aClass528_1447.method11152(var1, (long)var4, var6, var7, false);
      }

   }

   public void method2423(int var1, String var2) {
      if(this.aStringArray1456 == null || this.aStringArray1456.length <= var1) {
         String[] var3 = new String[var1 + 1];
         if(null != this.aStringArray1456) {
            for(int var4 = 0; var4 < this.aStringArray1456.length; ++var4) {
               var3[var4] = this.aStringArray1456[var4];
            }
         }

         this.aStringArray1456 = var3;
      }

      this.aStringArray1456[var1] = var2;
   }

   public Class8 method2424(Class304 var1, Interface31 var2, byte var3) {
      Class8 var4 = (Class8)var1.method5400(var2, 801863387 * this.anInt1405, false, this.aBool1500, (byte)85);
      boolean var10000;
      if(null == var4) {
         if(var3 >= 3) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      aBool1365 = var10000;
      return var4;
   }

   public static void method2425() {
      aClass564_1361.method11976((byte)79);
      aClass564_1428.method11976((byte)109);
      aClass564_1381.method11976((byte)49);
      aClass564_1363.method11976((byte)40);
   }

   public static void method2426() {
      aClass564_1361.method11976((byte)111);
      aClass564_1428.method11976((byte)29);
      aClass564_1381.method11976((byte)80);
      aClass564_1363.method11976((byte)41);
   }

   Object[] method2427(RS2Buffer var1) {
      int var2 = var1.readUnsignedByte(-700559597);
      if(0 == var2) {
         return null;
      } else {
         Object[] var3 = new Object[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            int var5 = var1.readUnsignedByte(-700559597);
            if(var5 == 0) {
               var3[var4] = new Integer(var1.readInt_(-35907546));
            } else if(1 == var5) {
               var3[var4] = var1.readString((byte)-1);
            }
         }

         this.aBool1520 = true;
         return var3;
      }
   }

   public void method2428(Class545 var1, Class568 var2, Class328 var3, int var4) {
      var2.method12075(var3);
      Class80[] var5 = var2.method12076();
      Class166[] var6 = var2.method12077();
      if((this.aClass528_1447 == null || this.aClass528_1447.aBool7186) && (var5 != null || var6 != null)) {
         this.aClass528_1447 = Class528.method11121(var4, false);
      }

      if(this.aClass528_1447 != null) {
         this.aClass528_1447.method11152(var1, (long)var4, var5, var6, false);
      }

   }

   public static void method2429() {
      aClass564_1361.method11968((short)-11192);
      aClass564_1428.method11968((short)-743);
      aClass564_1381.method11968((short)-206);
      aClass564_1363.method11968((short)-23066);
   }

   public static void method2430() {
      aClass564_1361.method11968((short)-14391);
      aClass564_1428.method11968((short)-13979);
      aClass564_1381.method11968((short)-8639);
      aClass564_1363.method11968((short)-28077);
   }

   public static void method2431() {
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-2092464778)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1535931198)];
   }

   public static void method2432() {
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-2056262427)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1472955061)];
   }

   public void method2433(Class545 var1, Class568 var2, Class328 var3, int var4) {
      var2.method12075(var3);
      Class80[] var5 = var2.method12076();
      Class166[] var6 = var2.method12077();
      if((this.aClass528_1447 == null || this.aClass528_1447.aBool7186) && (var5 != null || var6 != null)) {
         this.aClass528_1447 = Class528.method11121(var4, false);
      }

      if(this.aClass528_1447 != null) {
         this.aClass528_1447.method11152(var1, (long)var4, var5, var6, false);
      }

   }

   public int method2434(int var1, int var2) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_1504.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public void method2435() {
      this.anObjectArray1466 = null;
      this.anObjectArray1467 = null;
      this.anObjectArray1468 = null;
      this.anObjectArray1469 = null;
      this.anObjectArray1470 = null;
      this.anObjectArray1471 = null;
      this.anObjectArray1472 = null;
      this.anObjectArray1473 = null;
      this.anObjectArray1474 = null;
      this.anObjectArray1453 = null;
      this.anObjectArray1478 = null;
      this.anObjectArray1477 = null;
      this.anObjectArray1343 = null;
      this.anIntArray1479 = null;
      this.anObjectArray1372 = null;
      this.anIntArray1516 = null;
      this.anObjectArray1482 = null;
      this.anIntArray1391 = null;
      this.anObjectArray1484 = null;
      this.anIntArray1476 = null;
      this.anObjectArray1496 = null;
      this.anIntArray1487 = null;
      this.anObjectArray1490 = null;
      this.anObjectArray1534 = null;
      this.anObjectArray1488 = null;
      this.anObjectArray1436 = null;
      this.anObjectArray1494 = null;
      this.anObjectArray1501 = null;
      this.anObjectArray1440 = null;
      this.anObjectArray1497 = null;
      this.anObjectArray1401 = null;
      this.anObjectArray1435 = null;
      this.anObjectArray1346 = null;
      this.anObjectArray1502 = null;
      this.anObjectArray1503 = null;
      this.anObjectArray1358 = null;
      this.anObjectArray1505 = null;
   }

   public void method2436(int var1, String var2) {
      if(this.aStringArray1456 == null || this.aStringArray1456.length <= var1) {
         String[] var3 = new String[var1 + 1];
         if(null != this.aStringArray1456) {
            for(int var4 = 0; var4 < this.aStringArray1456.length; ++var4) {
               var3[var4] = this.aStringArray1456[var4];
            }
         }

         this.aStringArray1456 = var3;
      }

      this.aStringArray1456[var1] = var2;
   }

   public void method2437(int var1, String var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(309909962);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public void method2438(int var1, String var2) {
      if(this.aStringArray1456 == null || this.aStringArray1456.length <= var1) {
         String[] var3 = new String[var1 + 1];
         if(null != this.aStringArray1456) {
            for(int var4 = 0; var4 < this.aStringArray1456.length; ++var4) {
               var3[var4] = this.aStringArray1456[var4];
            }
         }

         this.aStringArray1456 = var3;
      }

      this.aStringArray1456[var1] = var2;
   }

   public void method2439(int var1, int var2) {
      if(null == this.anIntArray1389 || this.anIntArray1389.length <= var1) {
         int[] var3 = new int[1 + var1];
         if(this.anIntArray1389 != null) {
            int var4;
            for(var4 = 0; var4 < this.anIntArray1389.length; ++var4) {
               var3[var4] = this.anIntArray1389[var4];
            }

            for(var4 = this.anIntArray1389.length; var4 < var1; ++var4) {
               var3[var4] = -1;
            }
         }

         this.anIntArray1389 = var3;
      }

      this.anIntArray1389[var1] = var2;
   }

   public void method2440(int var1, int var2) {
      if(null == this.anIntArray1389 || this.anIntArray1389.length <= var1) {
         int[] var3 = new int[1 + var1];
         if(this.anIntArray1389 != null) {
            int var4;
            for(var4 = 0; var4 < this.anIntArray1389.length; ++var4) {
               var3[var4] = this.anIntArray1389[var4];
            }

            for(var4 = this.anIntArray1389.length; var4 < var1; ++var4) {
               var3[var4] = -1;
            }
         }

         this.anIntArray1389 = var3;
      }

      this.anIntArray1389[var1] = var2;
   }

   public Class120 method2441(Class545 var1) {
      long var2 = (long)(this.anInt1406 * 34646887) << 32 | (long)(-875927841 * this.anInt1369) & 4294967295L;
      Class120 var4 = (Class120)aClass564_1381.method11959(var2);
      if(null != var4) {
         if(this.anInt1390 * 757824707 != var4.anInt1202 * -123517221) {
            aClass564_1381.method11960(var2);
            var4 = null;
         }

         if(null != var4) {
            return var4;
         }
      }

      Class86 var5 = Class152.method2765(Class452.aClass253_5661, this.anInt1390 * 757824707, 0);
      if(null == var5) {
         return null;
      } else {
         int var6 = var5.method1700();
         int var7 = var5.method1699();
         int[] var8 = new int[var7];
         int[] var9 = new int[var7];
         int var10 = 0;

         while(var10 < var5.method1704()) {
            int var11 = 0;
            int var12 = var5.method1691();
            int var13 = 0;

            while(true) {
               if(var13 < var5.method1691()) {
                  if(var5.method1708(var13, var10) == 0) {
                     ++var13;
                     continue;
                  }

                  var11 = var13;
               }

               for(var13 = var5.method1691() - 1; var13 >= var11; --var13) {
                  if(var5.method1708(var13, var10) != 0) {
                     var12 = var13 + 1;
                     break;
                  }
               }

               var8[var10 + var5.method1735()] = var11 + var5.method1693();
               var9[var10 + var5.method1735()] = var12 - var11;
               ++var10;
               break;
            }
         }

         Class496 var14 = var1.method11488(var6, var7, var8, var9);
         if(var14 == null) {
            return null;
         } else {
            var4 = new Class120(var6, var7, var9, var8, var14, 757824707 * this.anInt1390);
            aClass564_1381.method11958(var4, var2);
            return var4;
         }
      }
   }

   public int method2442(int var1, int var2) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_1504.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public static Class121 method2443(int var0) {
      return Class18.aClass121Array188[var0 >> 16];
   }

   public String method2444(int var1, String var2) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   void method2445(RS2Buffer var1, int var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      if(var3 == 255) {
         var3 = -1;
      }

      this.anInt1370 = var1.readUnsignedByte(-700559597) * -831786205;
      if((this.anInt1370 * 258921611 & 128) != 0) {
         this.anInt1370 = -831786205 * (258921611 * this.anInt1370 & 127);
         this.aString1366 = var1.readString((byte)-40);
      }

      this.anInt1371 = var1.readUnsignedShort(-937710807) * 1612754869;
      this.anInt1376 = var1.method13732(1901786355) * 576836953;
      this.anInt1377 = var1.method13732(-318006268) * 234663581;
      this.anInt1378 = var1.readUnsignedShort(-937710807) * 2140344859;
      this.anInt1480 = var1.readUnsignedShort(-937710807) * -265009823;
      this.aByte1374 = var1.readByte(-286029028);
      this.aByte1375 = var1.readByte(1578820684);
      this.aByte1529 = var1.readByte(1889528454);
      this.aByte1373 = var1.readByte(2031529096);
      this.anInt1481 = var1.readUnsignedShort(-937710807) * 1078667785;
      if(this.anInt1481 * -1029733319 == '\uffff') {
         this.anInt1481 = -1078667785;
      } else {
         this.anInt1481 = ((34646887 * this.anInt1406 & -65536) + this.anInt1481 * -1029733319) * 1078667785;
      }

      int var4 = var1.readUnsignedByte(-700559597);
      this.aBool1387 = 0 != (var4 & 1);
      if(var3 >= 0) {
         this.aBool1429 = 0 != (var4 & 2);
      }

      if(0 == 258921611 * this.anInt1370) {
         this.anInt1394 = var1.readUnsignedShort(-937710807) * 1526015741;
         this.anInt1395 = var1.readUnsignedShort(-937710807) * 2015833633;
         if(var3 < 0) {
            this.aBool1429 = var1.readUnsignedByte(-700559597) == 1;
         }
      }

      int var5;
      if(5 == this.anInt1370 * 258921611) {
         this.anInt1390 = var1.readInt_(1211752296) * -255454229;
         this.anInt1528 = var1.readUnsignedShort(-937710807) * -1001647099;
         var5 = var1.readUnsignedByte(-700559597);
         this.aBool1527 = (var5 & 1) != 0;
         this.aBool1439 = (var5 & 2) != 0;
         this.anInt1398 = var1.readUnsignedByte(-700559597) * 1122812023;
         this.anInt1404 = var1.readUnsignedByte(-700559597) * 1532233963;
         this.anInt1491 = var1.readInt_(1251268280) * -1776641017;
         this.aBool1486 = var1.readUnsignedByte(-700559597) == 1;
         this.aBool1407 = var1.readUnsignedByte(-700559597) == 1;
         this.anInt1396 = var1.readInt_(-941971144) * -1976989011;
         if(var3 >= 3) {
            this.aBool1409 = var1.readUnsignedByte(-700559597) == 1;
         }
      }

      if(6 == 258921611 * this.anInt1370) {
         this.anInt1410 = -871586975;
         this.anInt1411 = var1.readLargeSmart(1951944282) * 1431494067;
         var5 = var1.readUnsignedByte(-700559597);
         boolean var6 = (var5 & 1) == 1;
         this.aBool1413 = (var5 & 2) == 2;
         this.aBool1425 = (var5 & 4) == 4;
         this.aBool1426 = (var5 & 8) == 8;
         if(var6) {
            this.anInt1419 = var1.method13732(555256929) * -1891688347;
            this.anInt1420 = var1.method13732(909431073) * -1362259447;
            this.anInt1416 = var1.readUnsignedShort(-937710807) * -635907231;
            this.anInt1417 = var1.readUnsignedShort(-937710807) * -264186063;
            this.anInt1418 = var1.readUnsignedShort(-937710807) * 1469404743;
            this.anInt1430 = var1.readUnsignedShort(-937710807) * -1843322707;
         } else if(this.aBool1413) {
            this.anInt1419 = var1.method13732(-1282232491) * -1891688347;
            this.anInt1420 = var1.method13732(-1705193835) * -1362259447;
            this.anInt1421 = var1.method13732(1886240711) * 27707513;
            this.anInt1416 = var1.readUnsignedShort(-937710807) * -635907231;
            this.anInt1417 = var1.readUnsignedShort(-937710807) * -264186063;
            this.anInt1418 = var1.readUnsignedShort(-937710807) * 1469404743;
            this.anInt1430 = var1.method13732(2026473616) * -1843322707;
         }

         this.anInt1475 = var1.readLargeSmart(1785869351) * 1400125577;
         if(this.aByte1374 != 0) {
            this.anInt1423 = var1.readUnsignedShort(-937710807) * 1524216701;
         }

         if(0 != this.aByte1375) {
            this.anInt1402 = var1.readUnsignedShort(-937710807) * 1087553149;
         }
      }

      if(this.anInt1370 * 258921611 == 4) {
         this.anInt1405 = var1.readLargeSmart(1884404283) * 973182291;
         if(var3 >= 2) {
            this.aBool1500 = var1.readUnsignedByte(-700559597) == 1;
         }

         this.aString1438 = var1.readString((byte)41);
         this.anInt1403 = var1.readUnsignedByte(-700559597) * -69152269;
         this.anInt1362 = var1.readUnsignedByte(-700559597) * 2146914853;
         this.anInt1441 = var1.readUnsignedByte(-700559597) * -1713484117;
         this.aBool1442 = var1.readUnsignedByte(-700559597) == 1;
         this.anInt1396 = var1.readInt_(-1852183477) * -1976989011;
         this.anInt1398 = var1.readUnsignedByte(-700559597) * 1122812023;
         if(var3 >= 0) {
            this.anInt1493 = var1.readUnsignedByte(-700559597) * 956782883;
         }
      }

      if(3 == this.anInt1370 * 258921611) {
         this.anInt1396 = var1.readInt_(1681084650) * -1976989011;
         this.aBool1397 = var1.readUnsignedByte(-700559597) == 1;
         this.anInt1398 = var1.readUnsignedByte(-700559597) * 1122812023;
      }

      if(9 == this.anInt1370 * 258921611) {
         this.anInt1465 = var1.readUnsignedByte(-700559597) * 2113209493;
         this.anInt1396 = var1.readInt_(305526405) * -1976989011;
         this.aBool1400 = var1.readUnsignedByte(-700559597) == 1;
      }

      var5 = var1.readTriByte(-478482060);
      int var16 = var1.readUnsignedByte(-700559597);
      int var7;
      if(0 != var16) {
         this.aByteArrayArray1422 = new byte[11][];
         this.aByteArrayArray1483 = new byte[11][];
         this.anIntArray1424 = new int[11];

         for(this.anIntArray1450 = new int[11]; 0 != var16; var16 = var1.readUnsignedByte(-700559597)) {
            var7 = (var16 >> 4) - 1;
            var16 = var16 << 8 | var1.readUnsignedByte(-700559597);
            var16 &= 4095;
            if(var16 == 4095) {
               var16 = -1;
            }

            byte var8 = var1.readByte(622067655);
            if(var8 != 0) {
               this.aBool1446 = true;
            }

            byte var9 = var1.readByte(1146690534);
            this.anIntArray1424[var7] = var16;
            this.aByteArrayArray1422[var7] = new byte[]{var8};
            this.aByteArrayArray1483[var7] = new byte[]{var9};
         }
      }

      this.aString1455 = var1.readString((byte)61);
      var7 = var1.readUnsignedByte(-700559597);
      int var17 = var7 & 15;
      int var18 = var7 >> 4;
      int var10;
      if(var17 > 0) {
         this.aStringArray1456 = new String[var17];

         for(var10 = 0; var10 < var17; ++var10) {
            this.aStringArray1456[var10] = var1.readString((byte)-4);
         }
      }

      int var11;
      if(var18 > 0) {
         var10 = var1.readUnsignedByte(-700559597);
         this.anIntArray1389 = new int[var10 + 1];

         for(var11 = 0; var11 < this.anIntArray1389.length; ++var11) {
            this.anIntArray1389[var11] = -1;
         }

         this.anIntArray1389[var10] = var1.readUnsignedShort(-937710807);
      }

      if(var18 > 1) {
         var10 = var1.readUnsignedByte(-700559597);
         this.anIntArray1389[var10] = var1.readUnsignedShort(-937710807);
      }

      this.aString1457 = var1.readString((byte)-2);
      if(this.aString1457.equals("")) {
         this.aString1457 = null;
      }

      this.anInt1461 = var1.readUnsignedByte(-700559597) * 1303680155;
      this.anInt1533 = var1.readUnsignedByte(-700559597) * 2139612177;
      this.anInt1463 = var1.readUnsignedByte(-700559597) * -1910106897;
      this.aString1515 = var1.readString((byte)54);
      var10 = -1;
      if(Class251_Sub3.method14354(var5, 2095975562) != 0) {
         var10 = var1.readUnsignedShort(-937710807);
         if('\uffff' == var10) {
            var10 = -1;
         }

         this.anInt1379 = var1.readUnsignedShort(-937710807) * 1419725617;
         if('\uffff' == -562287151 * this.anInt1379) {
            this.anInt1379 = -1419725617;
         }

         this.anInt1356 = var1.readUnsignedShort(-937710807) * -404155801;
         if('\uffff' == -927078057 * this.anInt1356) {
            this.anInt1356 = 404155801;
         }
      }

      if(var3 >= 0) {
         this.anInt1386 = var1.readUnsignedShort(-937710807) * -1221613437;
         if('\uffff' == this.anInt1386 * 850650667) {
            this.anInt1386 = 1221613437;
         }
      }

      this.aClass225_Sub50_1445 = new Class225_Sub50(var5, var10);
      if(var3 >= 0) {
         var11 = var1.readUnsignedByte(-700559597);

         int var12;
         int var13;
         int var14;
         for(var12 = 0; var12 < var11; ++var12) {
            var13 = var1.readTriByte(-313377008);
            var14 = var1.readInt_(1160491103);
            this.aClass423_1504.method7206(new IntVar(var14), (long)var13);
         }

         var12 = var1.readUnsignedByte(-700559597);

         for(var13 = 0; var13 < var12; ++var13) {
            var14 = var1.readTriByte(-432874952);
            String var15 = var1.method13927((short)-20496);
            this.aClass423_1504.method7206(new ObjectVar(var15), (long)var14);
         }
      }

      this.anObjectArray1466 = this.method2454(var1, (byte)28);
      this.anObjectArray1471 = this.method2454(var1, (byte)-38);
      this.anObjectArray1473 = this.method2454(var1, (byte)22);
      this.anObjectArray1477 = this.method2454(var1, (byte)-7);
      this.anObjectArray1478 = this.method2454(var1, (byte)45);
      this.anObjectArray1343 = this.method2454(var1, (byte)-33);
      this.anObjectArray1372 = this.method2454(var1, (byte)79);
      this.anObjectArray1482 = this.method2454(var1, (byte)-78);
      this.anObjectArray1490 = this.method2454(var1, (byte)-20);
      this.anObjectArray1534 = this.method2454(var1, (byte)23);
      if(var3 >= 0) {
         this.anObjectArray1488 = this.method2454(var1, (byte)37);
      }

      this.anObjectArray1472 = this.method2454(var1, (byte)3);
      this.anObjectArray1467 = this.method2454(var1, (byte)11);
      this.anObjectArray1468 = this.method2454(var1, (byte)-25);
      this.anObjectArray1469 = this.method2454(var1, (byte)-51);
      this.anObjectArray1470 = this.method2454(var1, (byte)-54);
      this.anObjectArray1474 = this.method2454(var1, (byte)-8);
      this.anObjectArray1453 = this.method2454(var1, (byte)-8);
      this.anObjectArray1436 = this.method2454(var1, (byte)78);
      this.anObjectArray1484 = this.method2454(var1, (byte)-93);
      this.anObjectArray1496 = this.method2454(var1, (byte)-14);
      this.anIntArray1479 = this.method2381(var1, (byte)48);
      this.anIntArray1516 = this.method2381(var1, (byte)10);
      this.anIntArray1391 = this.method2381(var1, (byte)82);
      this.anIntArray1476 = this.method2381(var1, (byte)103);
      this.anIntArray1487 = this.method2381(var1, (byte)31);
   }

   public String method2446(int var1, String var2) {
      if(null == this.aClass423_1504) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   public void method2447(int var1, int var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new IntVar(var2), (long)var1);
      } else {
         IntVar var3 = (IntVar)this.aClass423_1504.method7211((long)var1);
         if(null == var3) {
            this.aClass423_1504.method7206(new IntVar(var2), (long)var1);
         } else {
            var3.integer = var2 * -1539119731;
         }

      }
   }

   public void method2448(int var1, String var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(-368168475);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public static void method2449(int var0) {
      aClass564_1361.method11963(var0, (byte)-31);
      aClass564_1428.method11963(var0, (byte)-55);
      aClass564_1381.method11963(var0, (byte)-86);
      aClass564_1363.method11963(var0, (byte)-36);
   }

   public void method2450(int var1, String var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(-18746310);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public void method2451(int var1, String var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(-781642411);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public void method2452(int var1, String var2) {
      if(null == this.aClass423_1504) {
         this.aClass423_1504 = new Class423(16);
         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_1504.method7211((long)var1);
         if(var3 != null) {
            var3.method3857(1071901573);
         }

         this.aClass423_1504.method7206(new ObjectVar(var2), (long)var1);
      }
   }

   public void method2453(int var1) {
      if(this.aClass423_1504 != null) {
         Class225 var2 = this.aClass423_1504.method7211((long)var1);
         if(var2 != null) {
            var2.method3857(883191143);
         }
      }

   }

   Object[] method2454(RS2Buffer var1, byte var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      if(0 == var3) {
         return null;
      } else {
         Object[] var4 = new Object[var3];

         for(int var5 = 0; var5 < var3; ++var5) {
            int var6 = var1.readUnsignedByte(-700559597);
            if(var6 == 0) {
               var4[var5] = new Integer(var1.readInt_(-651909276));
            } else if(1 == var6) {
               var4[var5] = var1.readString((byte)78);
            }
         }

         this.aBool1520 = true;
         return var4;
      }
   }

   public static void method2455(int var0) {
      aClass564_1361.method11963(var0, (byte)-15);
      aClass564_1428.method11963(var0, (byte)-10);
      aClass564_1381.method11963(var0, (byte)-97);
      aClass564_1363.method11963(var0, (byte)-53);
   }

   public void method2456(int var1, short var2, short var3) {
      if(var1 < 5) {
         if(this.aShortArray1495 == null) {
            this.aShortArray1495 = new short[5];
            this.aShortArray1462 = new short[5];
         }

         this.aShortArray1495[var1] = var2;
         this.aShortArray1462[var1] = var3;
      }
   }

   public void method2457(int var1, short var2, short var3) {
      if(var1 < 5) {
         if(this.aShortArray1495 == null) {
            this.aShortArray1495 = new short[5];
            this.aShortArray1462 = new short[5];
         }

         this.aShortArray1495[var1] = var2;
         this.aShortArray1462[var1] = var3;
      }
   }

   public void method2458(int var1, short var2, short var3) {
      if(var1 < 5) {
         if(this.aShortArray1495 == null) {
            this.aShortArray1495 = new short[5];
            this.aShortArray1462 = new short[5];
         }

         this.aShortArray1495[var1] = var2;
         this.aShortArray1462[var1] = var3;
      }
   }

   public void method2459(int var1, short var2, short var3) {
      if(var1 < 5) {
         if(this.aShortArray1495 == null) {
            this.aShortArray1495 = new short[5];
            this.aShortArray1462 = new short[5];
         }

         this.aShortArray1495[var1] = var2;
         this.aShortArray1462[var1] = var3;
      }
   }

   public static void method2460(int var0, int var1) {
      Class123.anInt1342 = -1257479585 * var0;
      Class564 var2 = Class540.aClass564_7319;
      synchronized(var2) {
         Class540.aClass564_7319.method11976((byte)23);
      }

      var2 = Class540.aClass564_7317;
      synchronized(var2) {
         Class540.aClass564_7317.method11976((byte)15);
      }
   }

   public static Class332[] method2461(int var0) {
      return new Class332[]{Class332.aClass332_4178, Class332.aClass332_4179, Class332.aClass332_4176};
   }
}
